Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1515726 - define an rpm macro for %{_datadir}/metainfo
Summary: define an rpm macro for %{_datadir}/metainfo
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: redhat-rpm-config
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Florian Festi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-21 09:37 UTC by Jens Petersen
Modified: 2018-06-01 16:46 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-06-01 13:56:30 UTC


Attachments (Terms of Use)

Description Jens Petersen 2017-11-21 09:37:22 UTC
Description of problem:
I feel we should use more rpm macros in Fedora.
I suggest providing an macro %{appdatadir} from this package,
so that packagers can use it and updating
https://fedoraproject.org/wiki/Packaging:AppData
to mention it.

Comment 1 Fedora End Of Life 2018-02-20 15:33:40 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 28 development cycle.
Changing version to '28'.

Comment 2 Sergio Monteiro Basto 2018-06-01 01:59:13 UTC
I think this is fixed with ticket [1] on F28+ rpm -E %{_metainfodir} : /usr/share/metainfo else rpm -E %{_metainfodir} : /usr/share/appdata

[1]
https://pagure.io/packaging-committee/issue/752

Comment 3 Jens Petersen 2018-06-01 06:39:20 UTC
Great, where was it fixed (defined)?

Comment 4 Sergio Monteiro Basto 2018-06-01 13:31:06 UTC
all active branches , epel7 included

Comment 5 Jens Petersen 2018-06-01 13:55:44 UTC
Sorry vague question: I meant in which package...

Anyway I was just being lazy I guess 8-)

I found redhat-rpm-config provides /usr/lib/rpm/macros.d/macros.fedora-misc-srpm

Comment 6 Jens Petersen 2018-06-01 13:56:30 UTC
Thanks for doing this

Comment 8 Jason Tibbitts 2018-06-01 16:46:02 UTC
For EPEL7, the macro is defined in epel-rpm-macros: https://src.fedoraproject.org/rpms/epel-rpm-macros/blob/epel7/f/macros.epel-rpm-macros#_16


Note You need to log in before you can comment on or make changes to this bug.